Eclipse Platform Release 3.7

## org.eclipse.swt.ole.win32
Class OlePropertyDescription

    java.lang.Object
      org.eclipse.swt.ole.win32.OlePropertyDescription

    public class OlePropertyDescription

extends Object

Field Summary
`String` `description`
`int` `flags`
`String` `helpFile`
`int` `id`
`int` `kind`
`String` `name`
`int` `type`

Constructor Summary
`OlePropertyDescription()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public int id

### name

    public String name

### type

    public int type

### flags

    public int flags

### kind

    public int kind

### description

    public String description

### helpFile

    public String helpFile

Constructor Detail

### OlePropertyDescription

    public OlePropertyDescription()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.